---
schema_version: "1"
id: ff1d35346cb71e12524dede21322f645a1e3864e82b9d0186e0fee00d8534f04
title: Store Group Management API
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/retail-cloud/reference/generated-api-specs/store-group-management-api.md
canonical_url: https://developer.salesforce.com/docs/commerce/retail-cloud/references/store-group-management-api
source_site: developer.salesforce.com
content_type: documentation
content_hash: 0c8de8c29000af971fce305a306e43798807658c0d1f64a47124596d88e7597c
products:
  - Point of Sale for Developers
  - Salesforce APIs
---
Store Group Management API

# Store Group Management API

[Download specification](https://developer.salesforce.com/static/commercecloud/retail-cloud/store-group-management-api/store-group-management-api-oas-public.yaml)

Store Group Management API to create, search, update, and delete store groups from the POS system.

**Version:** 2.3.4

## Tags

### Store Group Management API

[Download specification](https://developer.salesforce.com/static/commercecloud/retail-cloud/store-group-management-api/store-group-management-api-oas-public.yaml)

Store Group Management API to create, search, update, and delete store groups from the POS system.

## Operations

### GET Retrieve all store group prices.

`GET /merchant/v1/admin/storegroup`

Operation ID: `getAllStoreGroupPrices`. Tags: Store Group Management API.

Retrieve all store group prices.

#### Parameters

*   `PredictSpring-Secret` (header, string)
*   `start` (query, integer (int32))
*   `limit` (query, integer (int32))

#### Responses

*   **default** Default response.
    
    Media type: `application/json`. Schema: `PageStoreGroupResponse`.
    

### PUT Update store group price.

`PUT /merchant/v1/admin/storegroup`

Operation ID: `updateStoreGroupPrice`. Tags: Store Group Management API.

Update a store group price.

#### Parameters

*   `PredictSpring-Secret` (header, string)

#### Request body

Media type: `application/json`. Schema: `StoreGroupRequest`.

#### Responses

*   **default** Default response.
    
    Media type: `application/json`. Schema: `StoreGroupResponse`.
    

### POST Add store group price for product.

`POST /merchant/v1/admin/storegroup`

Operation ID: `addStoreGroupPrice`. Tags: Store Group Management API.

Add a store group price for a product.

#### Parameters

*   `PredictSpring-Secret` (header, string)

#### Request body

Media type: `application/json`. Schema: `StoreGroupRequest`.

#### Responses

*   **default** Default response.
    
    Media type: `application/json`. Schema: `StoreGroupResponse`.
    

### PATCH Update store group prices.

`PATCH /merchant/v1/admin/storegroup`

Operation ID: `patchStoreGroups`. Tags: Store Group Management API.

Update store group prices or other attributes. **Limit:** 100 store groups per request. The store groups in the request are updated in batch. Only if all store groups are updated successfully, a successful response is returned. Validation includes:

1.  Empty request
2.  Valid store group ID and product ID.

#### Parameters

*   `PredictSpring-Secret` (header, string)

#### Request body

Media type: `application/json`. Schema: `UpdateStoreGroupsRequest`.

#### Responses

*   **default** Default response.
    
    Media type: `application/json`. Schema: `PageStoreGroupResponse`.
    

### GET Get store group price for product by productId and storeGroupId

`GET /merchant/v1/admin/storegroup/{storeGroupId}/{productId}`

Operation ID: `getStoreGroupPriceByStoreGroupIdProductId`. Tags: Store Group Management API.

API to get store group price for product by productId and storGroupId.

#### Parameters

*   `PredictSpring-Secret` (header, string)
*   `storeGroupId` (path, string, required)
*   `productId` (path, string, required)

#### Responses

*   **default** Default response.
    
    Media type: `application/json`. Schema: `StoreGroupResponse`.
    

### DELETE Delete store group price by storeGroupId and productId

`DELETE /merchant/v1/admin/storegroup/{storeGroupId}/{productId}`

Operation ID: `deleteStoreGroupPrice`. Tags: Store Group Management API.

API to delete store group price.

#### Parameters

*   `PredictSpring-Secret` (header, string)
*   `storeGroupId` (path, string, required)
*   `productId` (path, string, required)

#### Responses

*   **default** Default response.
    
    Media type: `application/json`. Schema: `StoreGroupResponse`.
    

## Schemas

### PageStoreGroupResponse

*   `totalPages` (_integer (int32)_)
*   `totalElements` (_integer (int64)_)
*   `pageable` (_Pageable_)
*   `numberOfElements` (_integer (int32)_)
*   `first` (_boolean_)
*   `number` (_integer (int32)_)
*   `size` (_integer (int32)_)
*   `content` (_array of StoreGroupResponse_)
*   `sort` (_Sort_)
*   `last` (_boolean_)
*   `empty` (_boolean_)

### StoreGroupRequest

Store group pricing request.

*   `storeGroupId` (_string_, required) Store group identifier.  
    Example: `SG-001`.
*   `productId` (_string_, required) Product identifier.  
    Example: `PROD-12345`.
*   `storeGroupPrice` (_number_, required) Store group specific price for the product.  
    Example: `99.99`.
*   `customString0` (_string_, nullable) Custom string field 0 for additional attributes.
*   `customString1` (_string_, nullable) Custom string field 1 for additional attributes.

### StoreGroupResponse

*   `errorMessage` (_string_, nullable) Error message shown to the user.  
    Example: `Invalid request. Please check the request and try again.`.
*   `errorCode` (_string_, nullable) Error code shown to the user.  
    Example: `INTERNAL_ERROR`.
*   `storeGroupId` (_string_)
*   `productId` (_string_)
*   `storePrice` (_number_)
*   `customString0` (_string_)
*   `customString1` (_string_)
*   `error` (_boolean_)

### UpdateStoreGroupsRequest

Batch update request for store group prices.

*   `storeGroups` (_array of StoreGroupRequest_, required) List of store group pricing updates. Maximum 100 store groups per request.

### Pageable

*   `pageSize` (_integer (int32)_)
*   `pageNumber` (_integer (int32)_)
*   `paged` (_boolean_)
*   `unpaged` (_boolean_)
*   `offset` (_integer (int64)_)
*   `sort` (_Sort_)

### Sort

*   `unsorted` (_boolean_)
*   `sorted` (_boolean_)
*   `empty` (_boolean_)